- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DRender
- QRenderTarget
- Qt 6.7.3 Reference Documentation

# QRenderTarget Class

class Qt3DRender::QRenderTarget

The QRenderTarget class encapsulates a target (usually a frame buffer object) which the renderer can render into. More...

Header: | #include <QRenderTarget>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | RenderTarget
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Functions

| QRenderTarget(Qt3DCore::QNode *parent = nullptr)
void | addOutput(Qt3DRender::QRenderTargetOutput *output)
QList<Qt3DRender::QRenderTargetOutput *> | outputs() const
void | removeOutput(Qt3DRender::QRenderTargetOutput *output)

## Detailed Description

A Qt3DRender::QRenderTarget comprises of Qt3DRender::QRenderTargetOutput objects, which specify the the buffers the render target is rendering to. The user can specify MRT(Multiple Render Targets) by attaching multiple textures to different attachment points. The results are undefined if the user tries to attach multiple textures to the same attachment point. At render time, only the draw buffers specified in the Qt3DRender::QRenderTargetSelector are used.

## Member Function Documentation

### `[explicit]` QRenderTarget::QRenderTarget(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QRenderTarget::QRenderTarget instance with the specified parent.

### void QRenderTarget::addOutput(Qt3DRender::QRenderTargetOutput *output)

Adds a chosen output via output.

### QList<Qt3DRender::QRenderTargetOutput *> QRenderTarget::outputs() const

Returns the chosen outputs.

### void QRenderTarget::removeOutput(Qt3DRender::QRenderTargetOutput *output)

Removes a chosen output via output.